Package org.opensaml.core.xml.schema

# Interface XSBoolean

All Superinterfaces:
  `XMLObject`

All Known Subinterfaces:
  `Delegatable`, `Forwardable`

All Known Implementing Classes:
  `DelegatableImpl`, `ForwardableImpl`, `XSBooleanImpl`

public interface XSBoolean extends XMLObject
XSBoolean is the `xs:boolean` schema type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`XSBooleanValue`
`getValue()`
Returns the XSBooleanValue value.
`void`
`setValue(XSBooleanValue value)`
Sets the XSBooleanValue value.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getValue

@Nullable XSBooleanValue getValue()
Returns the XSBooleanValue value.

Returns:
  the `XSBooleanValue` value

### setValue

void setValue(@Nullable XSBooleanValue value)
Sets the XSBooleanValue value.

Parameters:
  `value` - The `XSBooleanValue` value